# delimit ;
clear all;
set memory 400m;
set more off;

* Name of working directory;
local dir "C:\Users\davinchor\Documents\Projects\Trade-Production Line\Antras-Chor Replication Material";
cd "`dir'";

********************************************************;
* APPENDIX FIGURE 2: PARTIAL SCATTERPLOTS (DOWNMEASURE) ;
********************************************************;

local mergelist "downstreamness IOsigmas factorintensities randdintensity dispersion";

use USIOrelatedparty.dta, clear;
keep if year>=2000 & year<=2010;
collapse (sum) imp_non imp_rel, by(io2002 year);
gen imp_intrafirm = imp_rel/(imp_non+imp_rel);
lab var imp_intrafirm "Intrafirm imports";
gen tot_imp = imp_rel+imp_non;
la var tot_imp "Total imports";
foreach f of local mergelist {;
	merge n:1 io2002 using `f';
	drop if _m==2;
	drop _m;
};
keep if substr(io2002,1,1)=="3" & imp_intrafirm~=.;
compress;

# delimit ;
foreach s of numlist 1/2 {;
	local m`s' w1M`s'sigma;
};

local dsvar downmeasure;

	foreach s of numlist 1/2 {;
		cap drop `dsvar'X`m`s'';
		g `dsvar'X`m`s''=`dsvar'*`m`s'';
	};
	
	local wfactorcontrols "w1ls_l_0005 w1lkequip_l_0005 w1lkplant_l_0005 w1lm_l_0005 w1lus_randd_intensity_0005";
	local wdisp "w1disp3_2000";
	
	areg imp_intrafirm `m2' `wfactorcontrols' `wdisp', absorb(year) cluster(io2002);
	cap drop imp_intrafirm_resid;
	predict imp_intrafirm_resid, resid;
	
	reg imp_intrafirm_resid `dsvar' if `m2'==0, r;
	reg imp_intrafirm_resid `dsvar' if `m2'==1, r;
			
	twoway (scatter imp_intrafirm_resid `dsvar' if `m2'==0, mcolor(black) msize(small) msymbol(circle_hollow)) 
		(lfit imp_intrafirm_resid `dsvar' if `m2'==0, lcolor(black) lwidth(thick)), 
		title(Substitutes case, size(4)) 
		ytitle(Intrafirm import share (Residual), size(3)) xtitle(DownMeasure, size(3)) legend(off)
		saving(`dsvar'1_Oct12, replace);
		
	twoway (scatter imp_intrafirm_resid `dsvar' if `m2'==1, mcolor(black) msize(small) msymbol(circle_hollow)) 
		(lfit imp_intrafirm_resid `dsvar' if `m2'==1, lcolor(black) lwidth(thick)), 
		title(Complements case, size(4)) 
		ytitle(Intrafirm import share (Residual), size(3)) xtitle(DownMeasure, size(3)) legend(off)
		saving(`dsvar'2_Oct12, replace);
		
	areg imp_intrafirm `m2' `wfactorcontrols' `wdisp' [aw=tot_imp], absorb(year) cluster(io2002);
	cap drop imp_intrafirm_resid;
	predict imp_intrafirm_resid, resid;
	
	reg imp_intrafirm_resid `dsvar' if `m2'==0 [aw=tot_imp], r;
	reg imp_intrafirm_resid `dsvar' if `m2'==1 [aw=tot_imp], r;
		
	twoway (scatter imp_intrafirm_resid `dsvar' if `m2'==0, mcolor(black) msize(small) msymbol(circle_hollow)) 
		(lfit imp_intrafirm_resid `dsvar' if `m2'==0 [aw=tot_imp], lcolor(black) lwidth(thick)), 
		title(Substitutes case (Weighted reg.), size(4)) 
		ytitle(Intrafirm import share (Residual), size(3)) xtitle(DownMeasure, size(3)) legend(off)
		saving(`dsvar'3_Oct12, replace);
		
	twoway (scatter imp_intrafirm_resid `dsvar' if `m2'==1, mcolor(black) msize(small) msymbol(circle_hollow)) 
		(lfit imp_intrafirm_resid `dsvar' if `m2'==1 [aw=tot_imp], lcolor(black) lwidth(thick)), 
		title(Complements case (Weighted reg.), size(4)) 
		ytitle(Intrafirm import share (Residual), size(3)) xtitle(DownMeasure, size(3)) legend(off)
		saving(`dsvar'4_Oct12, replace);
		
	graph combine `dsvar'1_Oct12.gph `dsvar'2_Oct12.gph `dsvar'3_Oct12.gph `dsvar'4_Oct12.gph, col(2) row(2);
	
